> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/enumerations/abac-comparison-expression-comparison-operator.md).

# AbacComparisonExpressionComparisonOperator

The different comparison operators.

```graphql
enum AbacComparisonExpressionComparisonOperator {
  ContainsTag
  HasTag
  InheritsTag
  PropertyContains
  PropertyEndsWith
  PropertyEquals
  PropertyIn
  PropertyStartsWith
}
```

### Values

#### ContainsTag <a href="#contains-tag" id="contains-tag"></a>

To check if the object, or any of its descendants, has a certain tag.

#### HasTag <a href="#has-tag" id="has-tag"></a>

To check if the object has the tag directly.

#### InheritsTag <a href="#inherits-tag" id="inherits-tag"></a>

To check if the object, or any of its ancestors, has a certain tag.

#### PropertyContains <a href="#property-contains" id="property-contains"></a>

To check if the value contains a certain string.

#### PropertyEndsWith <a href="#property-ends-with" id="property-ends-with"></a>

To check if the value ends with a certain string.

#### PropertyEquals <a href="#property-equals" id="property-equals"></a>

To compare the operands with the equals (=) operator.

#### PropertyIn <a href="#property-in" id="property-in"></a>

To check if the given value is in a list of values.

#### PropertyStartsWith <a href="#property-starts-with" id="property-starts-with"></a>

To check if the value start with a certain string.

### Member Of

[`AbacComparisonExpressionComparison`](/api/graphql/data-access/object-types/abac-comparison-expression-comparison.md) object ● [`AbacComparisonExpressionComparisonInput`](/api/graphql/data-access/input-types/abac-comparison-expression-comparison-input.md) input


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/enumerations/abac-comparison-expression-comparison-operator.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
